CREATE TABLE songs (
  SongID int NOT NULL auto_increment,
  Title varchar(30) NOT NULL,
  Artist varchar(30) NOT NULL,
  Votes int not null default 0,
  Constraint PK_songs PRIMARY KEY  (SongID)
);

insert into songs(Title, Artist) values('Firework', 'Katy Perry');
insert into songs(Title, Artist) values('Grenade', 'Bruno Mars');
insert into songs(Title, Artist) values('What The Hell', 'Avril Lavigne');
insert into songs(Title, Artist) values('What\'s My Name?', 'Rihanna');

create table salesForSongs(
  SaleID int not null auto_increment,
  DeliveryAddress varchar(100) not null,
  CreditCard varchar(16) null,
  constraint pk_sale PRIMARY KEY(SaleID)
);

create table soldSongs(
  SaleID int not null,
  SongID int not null,
  Quantity int not null,
  Constraint pk_soldSongs PRIMARY KEY(SaleID, SongID),
  Constraint fk_soldSongs_salesForSongs FOREIGN KEY (SaleID) REFERENCES salesForSongs(SaleID) ON DELETE CASCADE ON UPDATE CASCADE,
  Constraint fk_soldSongs_songs FOREIGN KEY (SongID) REFERENCES songs(SongID) ON DELETE NO ACTION ON UPDATE NO ACTION
 
);